python安装mysqlclient

python安装mysqlclient

python在使用pip安装mysqlclient的时候报错超时或者平台不支持,我通过手动安装解决问题,以下方法仅供参考

一. 查看当前系统平台支持的whl文件

保存以下代码为.py文件并保存执行

import pip._internal
item=pip._internal.pep425tags.get_supported()
for i in item:
    print(i)

以我的windows为例:

python安装mysqlclient

看到有cp37,cp37m,win32所以应该下载 mysqlclient‑1.4.6‑cp37‑cp37m‑win32.whl 并安装,安装成功
www.lfd.uci.edu/~gohlke/pythonlibs...

C:\Users\rexle>pip install C:\Users\rexle\mysqlclient-1.4.2-cp37-cp37m-win32.whl
Processing c:\users\rexle\mysqlclient\mysqlclient-1.4.2-cp37-cp37m-win32.whl
Installing collected packages: mysqlclient
Successfully installed mysqlclient-1.4.2
You are using pip version 19.0.3, however version 20.3.3 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

二. Linux安装mysqlclient

linux平台查看支持的whl文件与windows一样:
python安装mysqlclient
可以发现上面的那个下载链接并没有cp36,cp36m,linux_x86_64之类的whl文件
python安装mysqlclient
这时可以下载mysqlclient‑1.4.6‑cp36‑cp36m‑win_amd64.whl 并改名为 mysqlclient‑1.4.6‑cp36‑cp36m‑linux_x86_64.whl
并使用pip安装即可。

[root@jojo mysqlclient]# cp mysqlclient-1.4.2-cp36-cp36m-win_amd64.whl mysqlclient-1.4.2-cp36-cp36m-linux_x86_64.whl
[root@jojo mysqlclient]# /usr/local/python3/bin/pip3.6 install mysqlclient-1.4.2-cp36-cp36m-linux_x86_64.whl
Looking in indexes: http://mirrors.aliyun.com/pypi/simple/
Processing ./mysqlclient-1.4.2-cp36-cp36m-linux_x86_64.whl
Installing collected packages: mysqlclient
Successfully installed mysqlclient-1.4.2
WARNING: You are using pip version 19.1.1, however version 20.3.3 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

至此安装完毕。

本作品采用《CC 协议》,转载必须注明作者和本文链接
努力学习,天天向上
讨论数量: 0
(= ̄ω ̄=)··· 暂无内容!

讨论应以学习和精进为目的。请勿发布不友善或者负能量的内容,与人为善,比聪明更重要!
未填写
文章
1
粉丝
0
喜欢
0
收藏
0
排名:2365
访问:21
私信
所有博文